1

Setup version for module 'Magento_CatalogInventoryConfigurableProduct' is not specified error is my issue

I installed magento 2 and when I go to my the site on my local WAMP server I get this pesky error. This is a clone from Magento 2.1.5 and I used Composer to add the Migration Tool Kit... but alas... I am stuck here. I have a little experience with Magento. Ha someone run into this error as well? How can I get out of this muddy road?

  • Try searching your code for "Magento_CatalogInventoryConfigurableProduct" or checking your setup_module table in the database. That module does not exist, but maybe there is an accidental typo in your code or database. – dmatthew Mar 22 '17 at 21:31
  • I have not modified any code... just getting a blank install set up. I do see Magento_CatalogInventoryConfigurableProduct 2.2.0 2.2.0 in the setup_module table. – pelicanpaul Mar 22 '17 at 22:38
  • Are there separate rows for Magento_CatalogInventory and Magento_ConfigurableProduct? – dmatthew Mar 22 '17 at 22:41
  • One row. Above is Magento_CatalogInventory 2.2.1 2.2.1 – pelicanpaul Mar 22 '17 at 23:21
  • So, this means there are not separate rows. – pelicanpaul Mar 22 '17 at 23:41
0

On a new Magento 2.1.5 install, there should not be any Magento_CatalogInventoryConfigurableProduct module. If you migrated your site data from another site, then you may have encountered an error during this process. In your setup_module table in your database you should have a Magento_CatalogInventory | 2.0.1 | 2.0.1 row and a Magento_ConfigurableProduct | 2.0.0 | 2.0.0 row.

  • thanks for this answer... getting to know this brittle piece of "software." – pelicanpaul Mar 23 '17 at 0:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.